
%define name synaptic
%define version 0.57.2
%define release 1mdk

Summary: Graphical package management program using apt
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL

Group: System/Configuration/Packaging
Source0: http://savannah.nongnu.org/download/synaptic/%{name}-%{version}.tar.bz2
Source100: %{name}-16.png
Source101: %{name}-32.png
Source102: %{name}-48.png

URL: http://www.nongnu.org/synaptic/
Requires: apt >= 0.3.19cnc32
Requires: usermode-consoleonly
BuildRequires: libbzip2-devel zlib-devel
BuildRequires: libgtk+2-devel libglade2.0-devel
BuildRequires: libapt-pkg-devel >= 0.5.5
BuildRequires: scrollkeeper intltool xmlto
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Synaptic is a graphical front-end for APT (Advanced Package Tool). 
It attempts to be a lot easier to use than other existing APT front-ends.

Instead of using trees to display packages, Synaptic is heavily based on a
powerful package filtering system. That greatly simplifies the interface
while giving a lot more flexibility to browse through very long package
lists.

%prep
%setup -q

%build
perl -pi -e 's/it_IT/it/' po/Make* Make* config*
# options to try :
# --with-swig --with-pkg-hold 
# --with-debian-description-parser
# --with-zvt
%configure 
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=%{_sbindir}/%{name}
SESSION=true
FALLBACK=false
EOF


# menu
mkdir -p %{buildroot}%{_menudir} 

cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command=%{_bindir}/%{name} \
needs="X11" section="Configuration/Packaging" title="Synaptic" \
icon="%{name}.png" \
longtitle="Graphical front end to apt. " 
EOF


install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
cp -f  %{SOURCE100} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
cp -f  %{SOURCE101} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp -f  %{SOURCE102} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png


mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth	   sufficient	/lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
account    required     /lib/security/pam_permit.so
session    optional     /lib/security/pam_xauth.so
EOF

rm -f $RPM_BUILD_ROOT/%{_datadir}/Applications/synaptic.desktop
rm -f $RPM_BUILD_ROOT/etc/X11/sysconfig/synaptic.desktop
rm -f $RPM_BUILD_ROOT/usr/share/applications/synaptic.desktop
rm -f $RPM_BUILD_ROOT/usr/share/applications/synaptic-kde.desktop
rm -Rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%post
# menu
%{update_menus}

%postun
# menu
%{clean_menus}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(0644,root,root,755)
%doc COPYING* README* TODO NEWS ChangeLog AUTHORS 
%defattr(755,root,root)
%{_sbindir}/%{name}
%{_bindir}/%{name}

# menu
%defattr(0644,root,root,0755)
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%{_mandir}/man8/%{name}.8*

%{_datadir}/%{name}/
%{_datadir}/pixmaps/*

%changelog
* Sat Sep 03 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.57.2-1mdk
- 0.57.2

* Fri May 13 2005 Michael Scherer <misc@mandriva.org> 0.55.1-2mdk
- Rebuild for new rpm
- fix rpmlint warning

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.55.1-1mdk
- New release 0.55.1
- tweak url again

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.53-1mdk
- New release 0.53
- tweak url

* Sun Jun 27 2004 Michael Scherer <misc@mandrake.org> 0.50-2mdk
- BuildRequires intltool

* Fri Jun 18 2004 Michael Scherer <misc@mandrake.org> 0.50-1mdk
- New release 0.50

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.48.2-1mdk 
- 0.48.2
- rpmbuildupdate aware

* Mon Nov 24 2003 Michael Scherer <misc@mandrake.org> 0.46-2mdk
- BuildRequires scrollkeeper

* Tue Nov 18 2003 Michael Scherer <scherer.michael@free.fr> 0.46-1mdk
- 0.46
  
* Mon Sep 15 2003 Michael Scherer <scherer.michael@free.fr> 0.37-1mdk 
- added the third icon
- some cleanup
- by Christiaan Welvaart <cjw@daneel.dyndns.org>
	- synaptic-0.37-1mdk
	- Mandrake version of 0.37

* Tue Nov 13 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.16-1cl
- nothing new, 0.16 is for apt 0.5 support

* Sun Jul  1 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.15-1cl
- auto-fix broken dependencies on Upgrade/Install package (closes: #3967)
- always create config dir in /root

* Sat Jun 30 2001 Osvaldo Santana Neto <osvaldo@conectiva.com>
+ synaptic-0.14-3cl
- added icon in desktop (Closes: #3955)

* Sat Jun 30 2001 Osvaldo Santana Neto <osvaldo@conectiva.com>
+ synaptic-0.14-2cl
- added icon tag in menu descriptor (Closes: #3955)

* Thu Jun 28 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.14-1cl
- fixed show summary dialog (closes: #4007)
- fixed broken texts (closes: #4006)
- updated pt_BR potfile

* Wed Jun 27 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.13-1cl
- fixed some stuff in filter editor
- added default task filter
- fixed crash when changing filter (closes: #3959)


* Tue Jun 26 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.12-1cl
- added consolehelper support
- added menu (closes: #1369)
- reassigned icons credits to KDE ppl
- added little note to config window (closes: #1282)

* Wed Jun 20 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.11-1cl
- changed pkg fetch error message (closes: #1306)
- compiled against new apt (closes: #3256)
- compiled against patched wmaker (closes: #3291, #3370, #3235)
- added new potfiles (closes: #1614, #3072)
- fixed locale setting


* Fri May 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.10-1cl
- fixed various glitches (closes: #3235)
- bug fixed by new apt (closes: #3068)

* Tue May 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.9-1cl
- no longer reset package selection state when download only option is set
  (closes: #1307)
- added tooltips
- replaced N/A -> "" in version field in package list (closes: #1277)
- fixed bug in error dialogs (closes: #1280)
- added about dlg close btn (closes: #1285)
- s/Scratch Filter/Search Filter/ (closes: #1283)
- recompiled (closes: #1559)
- recompiled against new wmaker (closes: #1309, #1428, #3031)
- fixed bug when listing too many packages 
- did some magick (closes: #2818)
- fixed filter button bug (closes: #1332)

* Sat Apr 28 2001 Arnaldo Carvalho de Melo <acme@conectiva.com>
+ synaptic-0.8-4cl
- minor spec changes for policy compliance
- BuildRequires libbz2-devel, not bzip2-devel

* Fri Mar 23 2001 Conectiva <dist@conectiva.com>
+ synaptic-0.8-2cl
- rebuilt with newer rpm

* Wed Feb 21 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.8-2cl
- recompiled (closes: #1559)

* Wed Feb 14 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.8-1cl
- first official release (closes: #1417)

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.7-1cl
- i18n
- pt_BR

* Wed Jan 24 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.6-1cl
- depends on apt cnc32

* Thu Jan 23 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ synaptic-0.5-1cl
- renamed from raptor to Synaptic

* Mon Jan 22 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.4-1cl

* Tue Jan 18 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.3-1cl

* Mon Jan 15 2001 Alfredo K. Kojima <kojima@conectiva.com.br>
+ raptor-0.2-1cl
- release version 0.2 (first)

